// APIClient.swift

import Foundation
import Get

extension APIClient {
    #if os(Linux)

    public func download<T>(for request: Request<T>, to location: URL) async throws  {
        let data = try await data(for: request).value
        try data.write(to: location)
    }
    
    #endif
}
