
import Foundation

struct RequestConfiguration {
    let url: URL
    let client: String
    let deviceName: String
    let deviceId: String
    let version: String
    let token: String?

    var authString: String {
        "MediaBrowser DeviceId=\(deviceId), Device=\(deviceName), Client=\(client), Version=\(version), Token=\(token ?? "")"
    }
}
