# SeanutSwift 

A utility to download media from Jellyfin Servers

## TODO

- remove references to JellyfinAPI library 
  - this doesn't compile on linux (and im assuming windows, too) and I would very much like to ship for those platforms.
- implement season downloading 
  - i think at the moment i have some basic code that will read in this value but doesn't actually do anything with it?
- remove percent encoding before creating file/directory names
- support QuickConnect
  - idk if JellyfinAPI library supports that or not but I couldn't find the API endpoint when I was searching. 🤷
- add option for verbose output

## Usage

1. First, log in to your server: `$ ./seanut login -d your.jellyfin.server --username TestUser`
2. Search for media: `$ ./seanut search -d your.jellyfin.server "Media Query"`
3. Download media: `$ ./seanut download -d your.jellyfin.server long-media-uuid`

## Building

1. install swift for your system
2. clone this repo
3. `cd` into the directory and run `swift build -c release`
4. if everything was successful run `$(swift build --show-bin-path -c release)/seanut help` for more info

# License

GPLv3+
